﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace XamTreeProblem
{
    public class Activity : ViewModelBase
    {
        public Activity()
        {
            Tasks = new ObservableCollection<Task>();
        }

        private string _name;
        private ObservableCollection<Task> _tasks;

        public string Name
        {
            get { return _name; }
            set { _name = value; OnPropertyChanged("Name"); }
        }

        public ObservableCollection<Task> Tasks
        {
            get { return _tasks; }
            set { _tasks = value; OnPropertyChanged("Tasks"); }
        }
    }
}
