﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Menus;
using Infragistics.Windows.DataPresenter;

namespace XamTreeProblem
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }


        /// <summary>
        /// 
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void XamContextMenuClusters_Opening(object sender, OpeningEventArgs e)
        {
           
        }

        private void ButtonBase_OnClick(object sender, RoutedEventArgs e)
        {
            if (((VM) this.DataContext).CurrentView.Equals(SingeltonViews.Instance.GetView(ViewIDs.Test)))
            {
                ((VM)this.DataContext).CurrentView = SingeltonViews.Instance.GetView(ViewIDs.Test2);
            }
            else
            {
                ((VM) this.DataContext).CurrentView = SingeltonViews.Instance.GetView(ViewIDs.Test);
            }

        }
    }

    public class SingeltonViews
    {
        private static Dictionary<ViewIDs, ContentControl> _views;
        private static SingeltonViews _instance = null;

        private SingeltonViews()
        {
            _views = new Dictionary<ViewIDs, ContentControl>();
        }

        public static SingeltonViews Instance
        {
            get
            {
                if (_instance == null)
                {
                    _instance = new SingeltonViews();
                }

                return _instance;
            }
        }

        public void AddView(ViewIDs viewId, ContentControl view)
        {
            if (_views.ContainsKey(viewId))
                _views.Remove(viewId);

            _views.Add(viewId, view);
        }

        public ContentControl GetView(ViewIDs viewId)
        {
            if (_views.ContainsKey(viewId))
            {
                return _views[viewId];
            }
            else
                return null;
        }
    }

    public enum ViewIDs
    {
       Test,
       Test2
    }
}
