﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Windows.Controls;

namespace XamTreeProblem
{
    public class VM : ViewModelBase
    {
        private ContentControl _currentView;

        public VM()
        {

        }

        public void RegisterViews()
        {
            View view = new View();
            view.DataContext = new ViewModel();
            SingeltonViews.Instance.AddView(ViewIDs.Test, view);

            View2 view2 = new View2();
            view2.DataContext = new ViewModel2();
            SingeltonViews.Instance.AddView(ViewIDs.Test2, view2);

            // set main view
            CurrentView = SingeltonViews.Instance.GetView(ViewIDs.Test);
        }


        public ContentControl CurrentView
        {
            get { return _currentView; }
            set
            {
                _currentView = value;
                //((ViewModelBase)_currentView.DataContext).RefreshContext();
                OnPropertyChanged("CurrentView");
            }
        }
    }
}
